curl https://api.0xradar.app/v1/chains
{
"chains": [
{"id": "ethereum", "name": "Ethereum", "native_symbol": "ETH", "chain_id": 1, "explorer": "https://etherscan.io", "is_l2": false},
{"id": "arbitrum", "name": "Arbitrum One", "native_symbol": "ETH", "chain_id": 42161, "explorer": "https://arbiscan.io", "is_l2": true},
{"id": "base", "name": "Base", "native_symbol": "ETH", "chain_id": 8453, "explorer": "https://basescan.org", "is_l2": true},
{"id": "optimism", "name": "Optimism", "native_symbol": "ETH", "chain_id": 10, "explorer": "https://optimistic.etherscan.io", "is_l2": true},
{"id": "polygon", "name": "Polygon", "native_symbol": "POL", "chain_id": 137, "explorer": "https://polygonscan.com", "is_l2": false},
{"id": "bsc", "name": "BNB Smart Chain", "native_symbol": "BNB", "chain_id": 56, "explorer": "https://bscscan.com", "is_l2": false},
{"id": "hyperevm", "name": "HyperEVM", "native_symbol": "HYPE", "chain_id": 999, "explorer": "https://hyperevmscan.io", "is_l2": false}
],
"count": 7
}
Endpoints
Supported Chains
GET
/
v1
/
chains
curl https://api.0xradar.app/v1/chains
{
"chains": [
{"id": "ethereum", "name": "Ethereum", "native_symbol": "ETH", "chain_id": 1, "explorer": "https://etherscan.io", "is_l2": false},
{"id": "arbitrum", "name": "Arbitrum One", "native_symbol": "ETH", "chain_id": 42161, "explorer": "https://arbiscan.io", "is_l2": true},
{"id": "base", "name": "Base", "native_symbol": "ETH", "chain_id": 8453, "explorer": "https://basescan.org", "is_l2": true},
{"id": "optimism", "name": "Optimism", "native_symbol": "ETH", "chain_id": 10, "explorer": "https://optimistic.etherscan.io", "is_l2": true},
{"id": "polygon", "name": "Polygon", "native_symbol": "POL", "chain_id": 137, "explorer": "https://polygonscan.com", "is_l2": false},
{"id": "bsc", "name": "BNB Smart Chain", "native_symbol": "BNB", "chain_id": 56, "explorer": "https://bscscan.com", "is_l2": false},
{"id": "hyperevm", "name": "HyperEVM", "native_symbol": "HYPE", "chain_id": 999, "explorer": "https://hyperevmscan.io", "is_l2": false}
],
"count": 7
}
Returns the list of supported blockchain networks with metadata.Documentation Index
Fetch the complete documentation index at: https://docs.0xradar.app/llms.txt
Use this file to discover all available pages before exploring further.
Response
curl https://api.0xradar.app/v1/chains
{
"chains": [
{"id": "ethereum", "name": "Ethereum", "native_symbol": "ETH", "chain_id": 1, "explorer": "https://etherscan.io", "is_l2": false},
{"id": "arbitrum", "name": "Arbitrum One", "native_symbol": "ETH", "chain_id": 42161, "explorer": "https://arbiscan.io", "is_l2": true},
{"id": "base", "name": "Base", "native_symbol": "ETH", "chain_id": 8453, "explorer": "https://basescan.org", "is_l2": true},
{"id": "optimism", "name": "Optimism", "native_symbol": "ETH", "chain_id": 10, "explorer": "https://optimistic.etherscan.io", "is_l2": true},
{"id": "polygon", "name": "Polygon", "native_symbol": "POL", "chain_id": 137, "explorer": "https://polygonscan.com", "is_l2": false},
{"id": "bsc", "name": "BNB Smart Chain", "native_symbol": "BNB", "chain_id": 56, "explorer": "https://bscscan.com", "is_l2": false},
{"id": "hyperevm", "name": "HyperEVM", "native_symbol": "HYPE", "chain_id": 999, "explorer": "https://hyperevmscan.io", "is_l2": false}
],
"count": 7
}
⌘I